Add Device

Register one device by its IP, MAC address, and hostname.

This method allows you to add devices. It requires IP, Hostname, MAC address, and Operating system. You may also assign the device to a group using tags.

KeyMeaningMandatoryData Type
ipDevice IP addressYesstring
hostnameDevice hostnameYesstring
macDevice MAC addressYesstring
osOperating system of the deviceNostring
tagsKey/value metadata for device groupingNoobject[]
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Device.add(
    ip="192.168.89.45",
    mac="99-4D-XX-XX-XX-XX",
    hostname="windows 7",
    tags={
          "Location":"New York",
          "type":"endpoint"
          }
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json